import Vue from 'vue'
import App from './App'
import store from '@/store'

import routeMixin from '@/mixin/router.mixin'
Vue.mixin(routeMixin)
import appMixin from '@/mixin/app.mixin'
Vue.mixin(appMixin)

import uView from "uview-ui";
Vue.use(uView);

import * as filters from "@/utils/filters.js";
// 注册全局实用程序过滤器.
Object.keys(filters).forEach(key => {
    Vue.filter(key, filters[key]);
});
import { http } from '@/utils/request'
Vue.config.productionTip = false
App.mpType = 'app'
Vue.prototype.$api = http

// #ifdef H5
if(process.env.NODE_ENV === 'development'){
  const vconsole = require('vconsole')
  Vue.prototype.$vconsole = new vconsole() // 使用vconsole
}
// #endif


const app = new Vue({
  store,
  ...App
})

app.$mount()
